
package ExemplesJDBC;
import java.sql.*;
import java.util.*;

public class TestDateComm 
{
  public static void main (String args [])
       throws SQLException, ClassNotFoundException, java.io.IOException
  {
    // Charger le pilote JDBC d'Oracle
    Class.forName ("oracle.jdbc.driver.OracleDriver");

    // Connexion  une BD
    Connection uneConnection =
      DriverManager.getConnection ("jdbc:oracle:thin:@localhost:1521:orcl", "godin", "oracle");

      PreparedStatement unEnoncSQL = uneConnection.prepareStatement
        ("INSERT INTO Commande(noCommande,dateCommande,noClient) VALUES(?,?,?)");
        unEnoncSQL.setInt(1,230);
        Calendar maintenant = Calendar.getInstance(); // Calendrier avec date actuelle
        java.sql.Date dateMaintenant = 
          new java.sql.Date(maintenant.getTime().getTime());
        unEnoncSQL.setDate(2,dateMaintenant);
        unEnoncSQL.setInt(3,10);
//        int n = unEnoncSQL.executeUpdate();

    unEnoncSQL = uneConnection.prepareStatement
        ("SELECT noCommande,dateCommande,noClient FROM Commande" );
    ResultSet rsultatSelect = unEnoncSQL.executeQuery();
    while (rsultatSelect.next ()){
        int lenoCommande = rsultatSelect.getInt("noCommande");
        java.sql.Date laDate = rsultatSelect.getDate("dateCommande");
        int lenoClient = rsultatSelect.getInt("noClient");
        
        System.out.println ("noCommande:" + lenoCommande);
        System.out.println ("dateCommande:" + laDate);
        System.out.println("laDate convertie:"+(java.util.Date)laDate);
        System.out.println ("noClient:" + lenoClient);
    }
    // Fermeture de l'nonc et de la connexion
    unEnoncSQL.close();
    uneConnection.close();
  }
}
