package ExemplesJDBC.GererPrets;
/* Classe de contrle pour EnregistrerPrtsSimple
 * Interface  l'utilisateur minimaliste
 * NB Pas de vrification des conditions pralabales dans le programme client
 * Utilise FacadeEnregistrerPretsSimple
 */
import java.sql.*;
import javax.swing.JOptionPane;
import java.util.*;

class ControleEnregistrerPretsSimpleAvecFacade {
  public static void main (String args []) throws Exception {

    // Saisir l'idUtilisateur et l'idExemplaire
    String idUtilisateur = 
      JOptionPane.showInputDialog("Entrez l'identificateur de l'utilisateur: ");
    String idExemplaire = 
      JOptionPane.showInputDialog("Entrez l'identificateur de l'exemplaire:");

    FacadeEnregistrerPretsSimple uneFacadeEnregistrerPretsSimple = null;
    try{
    uneFacadeEnregistrerPretsSimple = new FacadeEnregistrerPretsSimple();
    // Enregistrer le prt en passant par la faade
    java.sql.Date datePret = 
        uneFacadeEnregistrerPretsSimple.insererPretEnCours(idUtilisateur,idExemplaire);
    // Message de confirmation du prt
    JOptionPane.showMessageDialog(null,
      "Prt de l'exemplaire " + idExemplaire +
      "  l'utilisateur " + idUtilisateur + " confirm.\nDate:" + datePret);
    }
    catch(Exception lException){
      JOptionPane.showMessageDialog(null,lException.getMessage());
      lException.printStackTrace();
    }        
    finally{
      System.exit(0);
    }
  }
}