package ExemplesJDBC.GererPrets.impl;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;
import java.sql.Date;
import ExemplesJDBC.GererPrets.*;
import java.sql.Connection;
import java.util.*;

public class FacadeEnrPretSimpleSessionEJBBean implements SessionBean 
{
  public void ejbCreate()
  {
  }

  public void ejbActivate()
  {
  }

  public void ejbPassivate()
  {
  }

  public void ejbRemove()
  {
  }

  public void setSessionContext(SessionContext ctx)
  {
  }

  public Date insererPretEnCours(String idUtilisateur, String idExemplaire) throws Exception
  {
    UsineConnection uneUsineConnection = new UsineConnection();
//    Connection uneConnection = uneUsineConnection.getConnection(
//            "oracle.jdbc.driver.OracleDriver",
//            "jdbc:oracle:thin:@localhost:1521:ora9i",
//            "clerat","oracle");
    Connection uneConnection = 
      uneUsineConnection.getConnectionFromDataSourceSansAutoCommit("jdbc/orclcleratCoreDS");

    Utilisateur unUtilisateur = new Utilisateur(idUtilisateur);
    Exemplaire unExemplaire = new Exemplaire(idExemplaire);
        
    // Gnrer la date du jour et l'objet PrtEnCours
    Calendar maintenant = Calendar.getInstance(); // Calendrier avec date actuelle
    java.sql.Date dateMaintenant = new java.sql.Date(maintenant.getTime().getTime());

    PrtEnCours leNouveauPrtEnCours = 
            new PrtEnCours(unUtilisateur,dateMaintenant,unExemplaire);

    // Matrialiser le PrtEnCours dans la BD
    CourtierBDPrtEnCours unCourtierBDPrtEnCours = 
                new CourtierBDPrtEnCours(uneConnection);
    unCourtierBDPrtEnCours.insrerPrtEnCours(leNouveauPrtEnCours);
    // Pas besoin de commit
    uneConnection.close();
    return dateMaintenant;
  }
}