package ExemplesJDBC.GererPrets;

import java.sql.SQLException;
import oracle.jdbc.OracleConnection;
import oracle.jdbc.OracleTypes;
import java.sql.SQLData;
import java.sql.SQLInput;
import java.sql.SQLOutput;
import oracle.sql.STRUCT;
import oracle.jpub.runtime.MutableStruct;

public class livretype implements SQLData
{
  public static final String _SQL_NAME = "GODIN.LIVRETYPE";
  public static final int _SQL_TYPECODE = OracleTypes.STRUCT;

  private String m_isbn;
  private String m_titre;
  private Typedonnesanne m_anneparution;
  private java.sql.Ref m_diteur;

  /* constructor */
  public livretype()
  {
  }

  public void readSQL(SQLInput stream, String type)
  throws SQLException
  {
      setIsbn(stream.readString());
      setTitre(stream.readString());
      setAnneparution((Typedonnesanne) stream.readObject());
      setditeur(stream.readRef());
  }

  public void writeSQL(SQLOutput stream)
  throws SQLException
  {
      stream.writeString(getIsbn());
      stream.writeString(getTitre());
      stream.writeObject(getAnneparution());
      stream.writeRef(getditeur());
  }

  public String getSQLTypeName() throws SQLException
  {
    return _SQL_NAME;
  }

  /* accessor methods */
  public String getIsbn()
  { return m_isbn; }

  public void setIsbn(String isbn)
  { m_isbn = isbn; }


  public String getTitre()
  { return m_titre; }

  public void setTitre(String titre)
  { m_titre = titre; }


  public Typedonnesanne getAnneparution()
  { return m_anneparution; }

  public void setAnneparution(Typedonnesanne anneparution)
  { m_anneparution = anneparution; }


  public java.sql.Ref getditeur()
  { return m_diteur; }

  public void setditeur(java.sql.Ref diteur)
  { m_diteur = diteur; }

}
