package ExemplesJDBC;
// Exemple d'excution d'une fonction PL/SQL stocke avec CallableStatement
import java.sql.*;

class ExecuteFunction
{
  public static void main (String args [])
       throws SQLException, ClassNotFoundException, java.io.IOException
  {
    Class.forName ("oracle.jdbc.driver.OracleDriver");
    Connection uneConnection =
      DriverManager.getConnection ("jdbc:oracle:thin:@localhost:1521:orcl", "godin", "oracle");

    // Cration d'un appel de fonction associ  la Connection
    CallableStatement unCall = uneConnection.prepareCall("{ ? = call fQuantitEnStock(?)}");

    // Spcification du paramtre d'entre
    unCall.setInt(2,10);
    // Inscription de la sortie
    unCall.registerOutParameter(1, java.sql.Types.INTEGER);
    // Excution de l'appel
    unCall.execute();
    // Rcupration de la sortie
    int laQuantite = unCall.getInt(1);
    
    System.out.println("Quantit en stock :"+laQuantite);
    unCall.close();
    uneConnection.close();
    }
}