// Exemple de programme JAVA qui utilise le pilote JDBC thin d'Oracle
// pour effectuer un SELECT et itrer sur les lignes du rsultat

// Il faut importer le paquetage java.sql pour utiliser JDBC
package ExemplesJDBC;
import java.sql.*;
import java.math.BigDecimal;

class ExempleSelectCompte
{
  public static void main (String args [])
       throws SQLException, ClassNotFoundException, java.io.IOException
  {
    // Charger le pilote JDBC d'Oracle
    Class.forName ("oracle.jdbc.driver.OracleDriver");

    // Connection  une BD avec un pilote thin
    Connection uneConnection =
      DriverManager.getConnection ("jdbc:oracle:thin:@127.0.0.1:1521:orcl", "idutil1", "oracle");

    // Cration d'un nonc associ  la Connection
    Statement unEnoncSQL = uneConnection.createStatement ();

    // Excution d'un SELECT
    // Le code du SELECT est pass en paramtre sous forme d'un String
    ResultSet rsultatSelect = unEnoncSQL.executeQuery
      ("SELECT noCompte, solde FROM Compte WHERE noClient = 10");

    // Itrer sur les lignes du rsultat du SELECT et extraire les valeurs
    // des colonnes dans des variables JAVA   
    while (rsultatSelect.next ()){
      int noCompte = rsultatSelect.getInt ("noCompte");
      BigDecimal solde = rsultatSelect.getBigDecimal ("solde");

      System.out.println ("Numro du compte:" + noCompte);
      System.out.println ("Solde:" + solde);
    }
        // Fermeture de l'nonc et de la connexion
    unEnoncSQL.close();
    uneConnection.close();
  }
}